Subject: Re: [PATCH 10/10] reftable: make reftable_record a tagged union

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Dec 2021 08:35:36 -0800

Han-Wen Nienhuys <[email-masked]> writes:

> On Wed, Dec 8, 2021 at 5:13 AM Junio C Hamano <[email-masked]> wrote:
>> >> error: ISO C99 doesn't support unnamed structs/unions [-Werror=pedantic]
>> >
>> > Hmm. It's interesting that the regular DEVELOPER=1 doesn't catch this.
>> > It's because we don't specify -std there, and newer gcc defaults to
>> > gnu17 (unnamed unions appeared in c11, I think). I wonder if it would be
>> > helpful to teach config.mak.dev to pass -std=c99.
>>
>> FWIW, I use -std=gnu99 as our Makefile suggests.
>
> I understand that the default build should be lenient rather than
> strict for portability reasons. However, it would be good if the CI
> was strict with this.

Yeah, I agree with the above, and was a bit surprised that I found
the issue via my local build after it came from GGG.